<<

# Bugzilla::Keyword

- NAME
- SYNOPSIS
- DESCRIPTION
- SUBROUTINES

# NAME

Bugzilla::Keyword - A Keyword that can be added to a bug.

# SYNOPSIS

     use Bugzilla::Keyword;

     my $description = $keyword->description;

     my $keywords = Bugzilla::Keyword->get_all_with_bug_count();

# DESCRIPTION

Bugzilla::Keyword represents a keyword that can be added to a bug.

This implements all standard `Bugzilla::Object` methods. See Bugzilla::Object for more details.

# SUBROUTINES

This is only a list of subroutines specific to `Bugzilla::Keyword`. See Bugzilla::Object for more subroutines that this object implements.

`get_all_with_bug_count()`

       Description: Returns all defined keywords. This is an efficient way
                    to get the associated bug counts, as only one SQL query
                    is executed with this method, instead of one per keyword
                    when calling get_all and then bug_count.
       Params:      none
       Returns:     A reference to an array of Keyword objects, or an empty
                    arrayref if there are no keywords.

<<